ImageLoaderImageIO
Date: 2016-04-28

org.apache.xmlgraphics.image.loader.impl.imageio

## Class ImageLoaderImageIO

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
  - - org.apache.xmlgraphics.image.loader.impl.imageio.ImageLoaderImageIO

- All Implemented Interfaces:
    ImageLoader

      public class ImageLoaderImageIO
      extends AbstractImageLoader

  An ImageLoader implementation based on ImageIO for loading bitmap images.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log` logger

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader

      `MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderImageIO(ImageFlavor targetFlavor)` Main constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageFlavor` | `getTargetFlavor()` Returns the image flavor that is returned by this ImageLoader implementation.
    `Image` | `loadImage(ImageInfo info, java.util.Map hints, ImageSessionContext session)` Loads and returns an image.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

      `getUsagePenalty, ignoreColorProfile, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

      logger

  - ### Constructor Detail

    - #### ImageLoaderImageIO

          public ImageLoaderImageIO(ImageFlavor targetFlavor)

      Main constructor.
      Parameters:
        `targetFlavor` - the target flavor

  - ### Method Detail

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the image flavor that is returned by this ImageLoader implementation.
      Returns:
        the target image flavor

    - #### loadImage

          public Image loadImage(ImageInfo info,
                        java.util.Map hints,
                        ImageSessionContext session)
                          throws ImageException,
                                 java.io.IOException

      Loads and returns an image.
      Parameters:
        `info` - the image info object indicating the image
        `hints` - a Map of hints that can be used by implementations to customize the loading process (may be null).
        `session` - the session context
      Returns:
        the fully loaded image
      Throws:
        `ImageException` - if an error occurs while loading the image
        `java.io.IOException` - if an I/O error occurs while loading the image